from flask import Flask, jsonify
from pymongo import MongoClient
from pymongo.server_api import ServerApi
from consts import DB_NAME, COLLECTION, MONGO_URI


app = Flask(__name__)

# Try to connect to MongoDB
try:
    client = MongoClient(MONGO_URI,
                         tls=True,
                         tlsCertificateKeyFile='server/MongoCert.pem',
                         server_api=ServerApi('1'))

    db = client[DB_NAME]
    collection = db[COLLECTION]
    print("Connected to MongoDB")

except Exception as e:
    print(f"Failed to connect to MongoDB: {e}")